Plank.DockController – plank Reference Manual

# DockController

## Object Hierarchy:

## Description:

public class DockController : DockContainer

A controller class for managing a single dock.

All needed controlling parts will be created and initialized.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public ArrayList<unowned DockItem> Items { get; }
  List of all items on this dock
- public ArrayList<unowned DockItem> VisibleItems { get; }
  Ordered list of all visible items on this dock
- public File config_folder { get; construct; }
- public DockItemProvider? default_provider { get; }
- public DragManager drag_manager { get; protected set; }
- public HideManager hide_manager { get; protected set; }
- public HoverWindow hover { get; protected set; }
- public File launchers_folder { get; }
- public string name { get; construct; }
- public PositionManager position_manager { get; protected set; }
- public DockPreferences prefs { get; construct; }
- public DockRenderer renderer { get; protected set; }
- public DockWindow window { get; protected set; }

### Creation methods:

- public DockController (string dock_name, File config_folder)
  Create a new DockController which manages a single dock

### Methods:

- public void add_default_provider ()
  Add the default provider which is an instance of Plank.DefaultApplicationDockItemProvider
- protected override void connect_element (DockElement element)
- protected override void disconnect_element (DockElement element)
- public void initialize ()
  Initialize this controller. Call this when added at least one DockItemProvider otherwise the Plank.DefaultApplicationDockItemProvider will be added by default.
- protected override void update_visible_elements ()

### Inherited Members:

All known members inherited from class Plank.DockContainer

- Elements
- VisibleElements
- add
- add_all
- clear
- connect_element
- disconnect_element
- elements_changed

- internal_elements
- move_element
- move_to
- placeholder_item
- positions_changed
- prepare
- prepend

- remove
- remove_all
- replace
- reset_buffers
- states_changed
- update_visible_elements
- visible_elements

All known members inherited from class Plank.DockElement

- AddTime
- Button
- ClickedAnimation
- Container
- HoveredAnimation
- IsAttached
- IsVisible
- LastActive
- LastClicked
- LastHovered
- LastMove
- LastScrolled
- LastUrgent

- LastValid
- RemoveTime
- ScrolledAnimation
- Text
- accept_drop
- as_uri
- can_accept_drop
- can_be_removed
- clicked
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- create_menu_item

- create_menu_item_with_pixbuf
- get_dock
- get_drop_text
- get_menu_items
- hovered
- needs_redraw
- on_clicked
- on_hovered
- on_scrolled
- reset_buffers
- scrolled
- unique_id

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref